Commerce
Put v1commercecollections
PUT
/
v1
/
commerce
/
collections
/
{collectionID}
cURL
curl --request PUT \
--url https://api.wazapin.com/v1/commerce/collections/{collectionID} \
--header 'Content-Type: application/json' \
--data '
{
"active": true,
"slug": "<string>",
"title": "<string>",
"description": "<string>",
"image_url": "<string>",
"sort_order": 123
}
'const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
active: true,
slug: '<string>',
title: '<string>',
description: '<string>',
image_url: '<string>',
sort_order: 123
})
};
fetch('https://api.wazapin.com/v1/commerce/collections/{collectionID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/commerce/collections/{collectionID}"
payload = {
"active": True,
"slug": "<string>",
"title": "<string>",
"description": "<string>",
"image_url": "<string>",
"sort_order": 123
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"active": true,
"id": "<string>",
"slug": "<string>",
"sort_order": 123,
"title": "<string>",
"description": "<string>",
"image_url": "<string>",
"product_count": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}Path Parameters
Body
application/json
⌘I
cURL
curl --request PUT \
--url https://api.wazapin.com/v1/commerce/collections/{collectionID} \
--header 'Content-Type: application/json' \
--data '
{
"active": true,
"slug": "<string>",
"title": "<string>",
"description": "<string>",
"image_url": "<string>",
"sort_order": 123
}
'const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
active: true,
slug: '<string>',
title: '<string>',
description: '<string>',
image_url: '<string>',
sort_order: 123
})
};
fetch('https://api.wazapin.com/v1/commerce/collections/{collectionID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/commerce/collections/{collectionID}"
payload = {
"active": True,
"slug": "<string>",
"title": "<string>",
"description": "<string>",
"image_url": "<string>",
"sort_order": 123
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"active": true,
"id": "<string>",
"slug": "<string>",
"sort_order": 123,
"title": "<string>",
"description": "<string>",
"image_url": "<string>",
"product_count": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}